Commit 06f87f14 authored by Douglas Bagnall's avatar Douglas Bagnall Committed by Andrew Bartlett
Browse files

README.Coding: target Python 3.6+


Signed-off-by: Douglas Bagnall's avatarDouglas Bagnall <douglas.bagnall@catalyst.net.nz>
Reviewed-by: default avatarNoel Power <npower@samba.org>
Reviewed-by: Andrew Bartlett's avatarAndrew Bartlett <abartlet@samba.org>

Autobuild-User(master): Andrew Bartlett <abartlet@samba.org>
Autobuild-Date(master): Mon Aug  3 04:13:37 UTC 2020 on sn-devel-184
parent 14210c24
......@@ -17,9 +17,8 @@ what most Samba developers use already anyways, with a few exceptions as
mentioned below.
The coding style for Python code is documented in
[PEP8](https://www.python.org/dev/peps/pep-0008/). New Python code should be compatible
with Python 2.6, 2.7, and Python 3.4 onwards. This means using Python 3 syntax
with the appropriate `from __future__` imports.
[PEP8](https://www.python.org/dev/peps/pep-0008/). New Python code
should be compatible with Python 3.6 onwards.
But to save you the trouble of reading the Linux kernel style guide, here
are the highlights.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment